VERSION 5.00
Begin VB.Form FrmSlideUp 
   Appearance      =   0  'Flat
   BackColor       =   &H00FFFFFF&
   BorderStyle     =   0  'None
   ClientHeight    =   660
   ClientLeft      =   1395
   ClientTop       =   960
   ClientWidth     =   5205
   ControlBox      =   0   'False
   LinkTopic       =   "Form1"
   LockControls    =   -1  'True
   ScaleHeight     =   44
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   347
   ShowInTaskbar   =   0   'False
   Begin VB.PictureBox ImgError 
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BorderStyle     =   0  'None
      Enabled         =   0   'False
      ForeColor       =   &H80000008&
      Height          =   480
      Left            =   930
      Picture         =   "FrmSlideUp.frx":0000
      ScaleHeight     =   480
      ScaleWidth      =   480
      TabIndex        =   1
      TabStop         =   0   'False
      Top             =   2880
      Visible         =   0   'False
      Width           =   480
   End
   Begin VB.Timer TmrSlider 
      Enabled         =   0   'False
      Interval        =   30
      Left            =   195
      Top             =   1590
   End
   Begin VB.Image ImgNew 
      Appearance      =   0  'Flat
      Enabled         =   0   'False
      Height          =   510
      Left            =   825
      Picture         =   "FrmSlideUp.frx":0CCE
      Top             =   2190
      Visible         =   0   'False
      Width           =   675
   End
   Begin VB.Image ImgVB 
      Appearance      =   0  'Flat
      Height          =   510
      Left            =   840
      Picture         =   "FrmSlideUp.frx":13DB
      Top             =   1575
      Visible         =   0   'False
      Width           =   675
   End
   Begin VB.Image Image1 
      Appearance      =   0  'Flat
      Height          =   645
      Left            =   0
      Stretch         =   -1  'True
      Top             =   15
      Width           =   645
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Center
      BackStyle       =   0  'Transparent
      BorderStyle     =   1  'Fixed Single
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   690
      Left            =   645
      TabIndex        =   0
      Top             =   -15
      Width           =   4575
   End
End
Attribute VB_Name = "FrmSlideUp"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' // Message Slider //
Option Explicit
Private DskTopArea As RECT ' for desktop area
Private stage As Integer   ' slider state flag
Private NormalHeight As Long

Public Sub Shrink()
    ' shrink back down
    stage = 2
    TmrSlider.Enabled = False
    TmrSlider.Interval = 10
    TmrSlider.Enabled = True
End Sub

Private Sub OpenLink()
    ' shrink slider if up
    Shrink
    ' reset tray
    FrmMain.ResetTrayIcon
    ' open url
    OpenURL Label1.Tag
End Sub

Private Sub PosBottom()
    ' get desktop area including taskbar
    SystemParametersInfo SPI_GETWORKAREA, 0&, DskTopArea, 0&
    ' on top
    StayOnTop Me.hwnd, True
    ' move form just above bottom, height = 1 pixel, 100 pixles from right edge
    MoveWindow Me.hwnd, DskTopArea.Right - ((Me.Width + 100) / Screen.TwipsPerPixelX), _
        DskTopArea.Bottom, Me.Width / Screen.TwipsPerPixelX, 1, 1
End Sub

Public Sub SlideUp(ByVal Message As String, ByVal Url As String, Optional ByVal sStatus As String)
    ' // position slider //
    
    ' Add subject & url
    Label1.Caption = Message
    Label1.Tag = Url
    
    TmrSlider.Enabled = False
    TmrSlider.Interval = 10
    stage = 1 ' set to grow slider
    PosBottom ' reset slider position to bottom
    
    'SET IMAGE
    If sStatus = "New" Then
        Image1.Picture = ImgNew.Picture ' new post - no replies
    ElseIf sStatus = "Error" Then
        Image1.Picture = ImgError.Picture ' error
    Else
       Image1.Picture = ImgVB.Picture   'VB FORUM logo
    End If
    
    ' start timer to show message slider.
    TmrSlider.Enabled = True
End Sub

Private Sub Form_Load()
    Me.Top = (-Me.Height)
    Me.Show
    TranslucentForm Me, 180
    DoEvents
    NormalHeight = Me.Height
    Me.Top = Screen.Height ' hide me
End Sub

Private Sub Form_Unload(Cancel As Integer)
    Set FrmSlideUp = Nothing
End Sub

Private Sub Image1_Click()
    ' // logo clicked //
    
    ' shrink slider if up
    Shrink
    ' reset tray
    FrmMain.ResetTrayIcon
    ' show main form
    FrmMain.WindowState = 0
    FrmMain.Show
    DoEvents

End Sub

Private Sub Label1_Click()
    ' if subject is clicked then open URL in web browser.
    OpenLink
End Sub

Private Sub Label1_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    SetCursor LoadCursor(0, IDC_HAND)
End Sub

Private Sub TmrSlider_Timer()

    If stage = 1 Then ' grow from taskbar up
        TmrSlider.Interval = 10
        Me.Height = Me.Height + 16
        Me.Top = (DskTopArea.Bottom * Screen.TwipsPerPixelY) - Me.Height
        
        If Me.Height >= NormalHeight Then ' hold it right there!
            stage = 2
            TmrSlider.Interval = 15000 ' stay open delay (15 sec.)
            Exit Sub
        End If
    ElseIf stage = 2 Then ' delay has elapsed, shrink back down...
        TmrSlider.Interval = 10 ' set delay back to 10ms
        If Me.Height - 16 < 16 Then
            TmrSlider.Enabled = False
            Me.Top = Screen.Height  ' hide me
        Else
            Me.Height = Me.Height - 16
            Me.Top = DskTopArea.Bottom * Screen.TwipsPerPixelY - Me.Height
        End If
    End If
    
End Sub
